// H-Bridge Example Using the TC4424 Mosfet Driver
#define MOTOR_P 2
#define MOTOR_M 3
#define MOTOR_FORWARD 4
#define MOTOR_BACKWARD 5
#define MOTOR_STOP 6

// Contr
#include "WProgram.h"
void setup();
void loop();
int cnt = 0;

void setup()
{
  Serial.begin(9600);
  pinMode(MOTOR_P, OUTPUT);
  pinMode(MOTOR_M, OUTPUT);
  pinMode(MOTOR_FORWARD, INPUT);
  pinMode(MOTOR_BACKWARD, INPUT);
  pinMode(MOTOR_STOP, INPUT);
}

void loop()
{
      digitalWrite(MOTOR_P, HIGH);
      digitalWrite(MOTOR_M, LOW);
  delay(1000);
      digitalWrite(MOTOR_P, HIGH);
      digitalWrite(MOTOR_M, HIGH);
  delay(1000);
      digitalWrite(MOTOR_P, LOW);
      digitalWrite(MOTOR_M, HIGH);
  delay(1000);
      digitalWrite(MOTOR_P, HIGH);
      digitalWrite(MOTOR_M, HIGH);
  delay(1000);
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

